[Pkg-utopia-maintainers] Bug#532101: Authentification does not work

Julian Andres Klode jak at debian.org
Sat Jun 6 14:32:51 UTC 2009

reassign 532101 policykit
forcemerge 452198 532101
severity -1 serious

On Sat, Jun 06, 2009 at 03:12:31PM +0200, Julian Andres Klode wrote:
> Package: policykit-gnome
> Version: 0.9.2-2
> Severity: important
> Authentification using passwords is not working on my system, unless
> I allow PolicyKit to store the password. If it is not allowed to store
> the password, the dialog appears again and again.
> This makes PolicyKit almost useless for me, because I always need to grant
> me the rights to do something without entering a password.

The problem occurs when /var/run/ is on a tmpfs and /var/run/PolicyKit/ is
thus not available. Ubuntu has a patch for it.

This is a violation of Policy 9.3.2:
/var/run and /var/lock may be mounted as temporary filesystems[60], so the
init.d scripts must handle this correctly. This will typically amount to
creating any required subdirectories dynamically when the init.d script is
run, rather than including them in the package and relying on dpkg to create

Julian Andres Klode  - Free Software Developer
   Debian Developer  - Contributing Member of SPI
   Ubuntu Member     - Fellow of FSFE

Website: http://jak-linux.org/   XMPP: juliank at jabber.org
Debian:  http://www.debian.org/  SPI:  http://www.spi-inc.org/
Ubuntu:  http://www.ubuntu.com/  FSFE: http://www.fsfe.org/
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: Digital signature
URL: <http://lists.alioth.debian.org/pipermail/pkg-utopia-maintainers/attachments/20090606/1db6f49d/attachment-0001.pgp>

More information about the Pkg-utopia-maintainers mailing list